inputs @ {nixpkgs, ...}:
let
  inherit (nixpkgs) lib;
  isDir = _name: type: type == "directory";
  directoriesAsModules = dir: (builtins.mapAttrs
    (name: _value: dir + "/${name}")
    (lib.filterAttrs isDir (builtins.readDir dir))
  );
in directoriesAsModules ./.
